Bug 1305974 - --disable-epsv option ignored for IPv6 hosts
--disable-epsv option ignored for IPv6 hosts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: curl (Show other bugs)
7.2
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Kamil Dudka
Stefan Dordevic
: ManPageChange
Depends On:
Blocks: 1305970
  Show dependency treegraph
 
Reported: 2016-02-09 12:26 EST by Martin Frodl
Modified: 2016-11-03 13:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: curl-7.29.0-30.el7
Doc Type: Bug Fix
Doc Text:
PLEASE DO NOT DOCUMENT
Story Points: ---
Clone Of: 1305970
Environment:
Last Closed: 2016-11-03 13:44:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Frodl 2016-02-09 12:26:50 EST
+++ This bug was initially created as a clone of Bug #1305970 +++

Description of problem:

With --disable-epsv, curl should not attempt to use EPSV mode no matter what. When the host name in URL is 'localhost' or 'localhost.localdomain', EPSV is not disabled. On the other hand, when 127.0.0.1 is used instead, --disable-epsv is respected.

Version-Release number of selected component (if applicable):
curl-7.29.0-25.el7.x86_64

Steps to reproduce:
# yum -y install vsftpd
# echo OK > /var/ftp/pub/test
# service vsftpd start
# curl -v --disable-epsv ftp://localhost/pub/test

Actual results:
> EPSV
* Connect data stream passively
< 229 Entering Extended Passive Mode (|||20246|).
*   Trying 127.0.0.1... connected

Expected results:
> PASV
* Connect data stream passively
< 227 Entering Passive Mode (127,0,0,1,251,224).
*   Trying 127.0.0.1... connected
Comment 2 Kamil Dudka 2016-02-12 12:52:17 EST
upstream commit:

https://github.com/curl/curl/commit/curl-7_47_1-30-g4ef6b2d
Comment 8 errata-xmlrpc 2016-11-03 13:44:37 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2575.html

Note You need to log in before you can comment on or make changes to this bug.